value_ptr< T > Class Template Reference

Value pointer. More...

`#include <smartptr.h>`

Inheritance diagram for value_ptr< T >:

## Public Member Functions

| value_ptr (const T &obj)
| value_ptr (T *p=NULL)
| value_ptr (const value_ptr< T > &rhs)
value_ptr< T > & | operator= (const value_ptr< T > &rhs)
bool | operator== (const value_ptr< T > &rhs)
Public Member Functions inherited from member_ptr< T >
| member_ptr (T *p=NULL)
const T & | operator* () const
T & | operator* ()
const T * | operator-> () const
T * | operator-> ()
const T * | get () const
T * | get ()
T * | release ()
void | reset (T *p=NULL)

## Detailed Description

template<class T>
class value_ptr< T >

Value pointer.

Template Parameters

  T | class or type

Definition at line 76 of file smartptr.h.

## Constructor & Destructor Documentation

## value_ptr() [1/3]

template<class T>

value_ptr< T >::value_ptr | ( | const T & | obj | ) |

inline

Definition at line 79 of file smartptr.h.

## value_ptr() [2/3]

template<class T>

value_ptr< T >::value_ptr | ( | T * | p = NULL | ) |

inline

Definition at line 80 of file smartptr.h.

## value_ptr() [3/3]

template<class T>

value_ptr< T >::value_ptr | ( | const value_ptr< T > & | rhs | ) |

inline

Definition at line 81 of file smartptr.h.

## Member Function Documentation

## operator=()

template<class T>

value_ptr< T > & value_ptr< T >::operator= | ( | const value_ptr< T > & | rhs | ) |

Definition at line 91 of file smartptr.h.

## operator==()

template<class T>

bool value_ptr< T >::operator== | ( | const value_ptr< T > & | rhs | ) |

inline

Definition at line 85 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h